sandbox: Create daily and weekly jobs 75/16575/2
authorFatih Degirmenci <fatih.degirmenci@ericsson.com>
Thu, 7 Jul 2016 20:12:31 +0000 (22:12 +0200)
committerFatih Degirmenci <fatih.degirmenci@ericsson.com>
Thu, 7 Jul 2016 20:31:46 +0000 (22:31 +0200)
Change-Id: I366332922a91b1e957ba104fe8d5cee07398787d
Signed-off-by: Fatih Degirmenci <fatih.degirmenci@ericsson.com>
jjb/opnfv/slave-params.yml
jjb/releng-macros.yaml
jjb/sandbox/functest.sh [new file with mode: 0755]
jjb/sandbox/sandbox-daily-jobs.yml [new file with mode: 0644]
jjb/sandbox/sandbox-merge-jobs.yml
jjb/sandbox/sandbox-verify-jobs.yml
jjb/sandbox/sandbox-weekly-jobs.yml [new file with mode: 0644]
jjb/sandbox/yardstick.sh [new file with mode: 0755]

index e5313c8..c4dc31d 100644 (file)
             name: BUILD_DIRECTORY
             default: $WORKSPACE/build_output
             description: "Directory where the build artifact will be located upon the completion of the build."
+#####################################################
+# These slaves are just dummy slaves for sandbox jobs
+#####################################################
+- parameter:
+    name: 'sandbox-baremetal-defaults'
+    parameters:
+        - label:
+            name: SLAVE_LABEL
+            default: 'sandbox-baremetal'
+            description: 'Slave label on Jenkins'
+        - string:
+            name: GIT_BASE
+            default: https://gerrit.opnfv.org/gerrit/$PROJECT
+            description: 'Git URL to use on this Jenkins Slave'
+        - string:
+            name: BUILD_DIRECTORY
+            default: $WORKSPACE/build_output
+            description: "Directory where the build artifact will be located upon the completion of the build."
+- parameter:
+    name: 'sandbox-virtual-defaults'
+    parameters:
+        - label:
+            name: SLAVE_LABEL
+            default: 'sandbox-virtual-defaults'
+            description: 'Slave label on Jenkins'
+        - string:
+            name: GIT_BASE
+            default: https://gerrit.opnfv.org/gerrit/$PROJECT
+            description: 'Git URL to use on this Jenkins Slave'
+        - string:
+            name: BUILD_DIRECTORY
+            default: $WORKSPACE/build_output
+            description: "Directory where the build artifact will be located upon the completion of the build."
+- parameter:
+    name: 'dummy-pod1-defaults'
+    parameters:
+        - label:
+            name: SLAVE_LABEL
+            default: 'dummy-pod1-defaults'
+            description: 'Slave label on Jenkins'
+        - string:
+            name: GIT_BASE
+            default: https://gerrit.opnfv.org/gerrit/$PROJECT
+            description: 'Git URL to use on this Jenkins Slave'
+        - string:
+            name: BUILD_DIRECTORY
+            default: $WORKSPACE/build_output
+            description: "Directory where the build artifact will be located upon the completion of the build."
index d8866bd..c3459fd 100644 (file)
     triggers:
         - timed: ''
 
+- trigger:
+    name: 'weekly-trigger-disabled'
+    triggers:
+        - timed: ''
+
 - trigger:
     name: 'brahmaputra-trigger-daily-enabled'
     triggers:
diff --git a/jjb/sandbox/functest.sh b/jjb/sandbox/functest.sh
new file mode 100755 (executable)
index 0000000..2f9be27
--- /dev/null
@@ -0,0 +1,61 @@
+#!/bin/bash
+#set -o errexit
+#set -o nounset
+#set -o pipefail
+
+# get the job type
+# we only support verify, merge, daily and weekly jobs
+if [[ "$JOB_NAME" =~ (verify|merge|daily|weekly) ]]; then
+    JOB_TYPE=${BASH_REMATCH[0]}
+else
+    echo "Unable to determine job type!"
+    exit 1
+fi
+
+# do stuff differently based on the job type
+case "$JOB_TYPE" in
+    verify)
+        echo "Running as part of verify job"
+        ;;
+    merge)
+        echo "Running as part of merge job"
+        ;;
+    daily)
+        echo "Running as part of daily job"
+        ;;
+    weekly)
+        echo "Running as part of weekly job"
+        ;;
+    *)
+        echo "Job type $JOB_TYPE is not supported!"
+        exit 1
+esac
+
+# this just shows we can get the patch/commit information
+# no matter what job we are executed by
+cd $WORKSPACE
+echo
+echo "Commit Message is"
+echo "-------------------------------------"
+git log --format=%B -n 1 $(git rev-parse HEAD)
+echo "-------------------------------------"
+echo
+echo "Repo contents"
+echo "-------------------------------------"
+ls -al
+echo "-------------------------------------"
+echo
+echo "Changed files are"
+echo "-------------------------------------"
+git diff origin/master --name-only
+echo "-------------------------------------"
+echo
+echo "Change introduced"
+echo "-------------------------------------"
+git diff origin/master
+echo "-------------------------------------"
+echo
+echo "git show"
+echo "-------------------------------------"
+git show
+echo "-------------------------------------"
diff --git a/jjb/sandbox/sandbox-daily-jobs.yml b/jjb/sandbox/sandbox-daily-jobs.yml
new file mode 100644 (file)
index 0000000..fc7244e
--- /dev/null
@@ -0,0 +1,264 @@
+- project:
+    name: 'sandbox-daily-jobs'
+
+    project: 'sandbox'
+
+    installer: 'sandbox'
+
+#--------------------------------
+# BRANCH ANCHORS
+#--------------------------------
+    master: &master
+        stream: master
+        branch: '{stream}'
+        gs-pathname: ''
+#--------------------------------
+# POD, INSTALLER, AND BRANCH MAPPING
+#--------------------------------
+#        CI PODs
+#--------------------------------
+    pod:
+        - baremetal:
+            slave-label: sandbox-baremetal
+            <<: *master
+        - virtual:
+            slave-label: fuel-virtual
+            <<: *master
+#--------------------------------
+#        None-CI PODs
+#--------------------------------
+        - dummy-pod1:
+            slave-label: dummy-pod1
+            <<: *master
+#--------------------------------
+#       scenarios
+#--------------------------------
+    scenario:
+        # HA scenarios
+        - 'os-nosdn-nofeature-ha':
+            auto-trigger-name: 'daily-trigger-disabled'
+        - 'os-odl_l2-nofeature-ha':
+            auto-trigger-name: 'daily-trigger-disabled'
+
+    jobs:
+        - 'sandbox-{scenario}-{pod}-daily-{stream}'
+        - 'sandbox-deploy-{pod}-daily-{stream}'
+        - 'yardstick-sandbox-{pod}-daily-{stream}'
+        - 'functest-sandbox-{pod}-daily-{stream}'
+
+########################
+# job templates
+########################
+- job-template:
+    name: 'sandbox-{scenario}-{pod}-daily-{stream}'
+
+    concurrent: false
+
+    properties:
+        - throttle:
+            enabled: true
+            max-total: 4
+            max-per-node: 1
+            option: 'project'
+        - build-blocker:
+            use-build-blocker: true
+            blocking-jobs:
+                - 'sandbox-os-.*?-{pod}-daily-{stream}'
+            block-level: 'NODE'
+
+    wrappers:
+        - build-name:
+            name: '$BUILD_NUMBER - Scenario: $DEPLOY_SCENARIO'
+
+    triggers:
+        - '{auto-trigger-name}'
+
+    parameters:
+        - project-parameter:
+            project: '{project}'
+        - '{installer}-defaults'
+        - '{slave-label}-defaults'
+        - string:
+            name: DEPLOY_SCENARIO
+            default: '{scenario}'
+
+    builders:
+        - description-setter:
+            description: "Built on $NODE_NAME"
+        - trigger-builds:
+            - project: 'sandbox-deploy-{pod}-daily-{stream}'
+              current-parameters: false
+              predefined-parameters:
+                DEPLOY_SCENARIO={scenario}
+              same-node: true
+              block: true
+        - trigger-builds:
+            - project: 'yardstick-sandbox-{pod}-daily-{stream}'
+              current-parameters: false
+              predefined-parameters:
+                DEPLOY_SCENARIO={scenario}
+              same-node: true
+              block: true
+              block-thresholds:
+                build-step-failure-threshold: 'never'
+                failure-threshold: 'never'
+                unstable-threshold: 'FAILURE'
+        - trigger-builds:
+            - project: 'functest-sandbox-{pod}-daily-{stream}'
+              current-parameters: false
+              predefined-parameters:
+                DEPLOY_SCENARIO={scenario}
+              block: true
+              same-node: true
+              block-thresholds:
+                build-step-failure-threshold: 'never'
+                failure-threshold: 'never'
+                unstable-threshold: 'FAILURE'
+
+- job-template:
+    name: 'sandbox-deploy-{pod}-daily-{stream}'
+
+    concurrent: true
+
+    properties:
+        - throttle:
+            enabled: true
+            max-total: 4
+            max-per-node: 1
+            option: 'project'
+        - build-blocker:
+            use-build-blocker: true
+            blocking-jobs:
+                - 'fuel-deploy-{pod}-daily-{stream}'
+                - 'fuel-deploy-generic-daily-.*'
+            block-level: 'NODE'
+
+    parameters:
+        - project-parameter:
+            project: '{project}'
+        - '{installer}-defaults'
+        - '{slave-label}-defaults'
+        - string:
+            name: DEPLOY_SCENARIO
+            default: 'os-odl_l2-nofeature-ha'
+
+    scm:
+        - git-scm:
+            credentials-id: '{ssh-credentials}'
+            refspec: ''
+            branch: '{branch}'
+
+    wrappers:
+        - build-name:
+            name: '$BUILD_NUMBER - Scenario: $DEPLOY_SCENARIO'
+
+    builders:
+        - description-setter:
+            description: "Built on $NODE_NAME"
+        - 'sandbox-deploy-daily-builder'
+
+- job-template:
+    name: 'yardstick-sandbox-{pod}-daily-{stream}'
+
+    concurrent: true
+
+    properties:
+        - throttle:
+            enabled: true
+            max-per-node: 1
+            option: 'project'
+
+    wrappers:
+        - build-name:
+            name: '$BUILD_NUMBER Suite: $YARDSTICK_SUITE_NAME Scenario: $DEPLOY_SCENARIO'
+        - timeout:
+            timeout: 400
+            abort: true
+
+    parameters:
+        - project-parameter:
+            project: '{project}'
+        - '{installer}-defaults'
+        - '{slave-label}-defaults':
+            installer: '{installer}'
+        - string:
+            name: DEPLOY_SCENARIO
+            default: 'os-odl_l2-nofeature-ha'
+
+    scm:
+        - git-scm:
+            credentials-id: '{ssh-credentials}'
+            refspec: ''
+            branch: '{branch}'
+
+    wrappers:
+        - build-name:
+            name: '$BUILD_NUMBER - Scenario: $DEPLOY_SCENARIO'
+
+    builders:
+        - description-setter:
+            description: "Built on $NODE_NAME"
+        - 'yardstick-sandbox-daily-builder'
+
+- job-template:
+    name: 'functest-sandbox-{pod}-daily-{stream}'
+
+    concurrent: true
+
+    properties:
+        - throttle:
+            enabled: true
+            max-per-node: 1
+            option: 'project'
+
+    wrappers:
+        - build-name:
+            name: '$BUILD_NUMBER Suite: $FUNCTEST_SUITE_NAME Scenario: $DEPLOY_SCENARIO'
+        - timeout:
+            timeout: 400
+            abort: true
+
+    parameters:
+        - project-parameter:
+            project: '{project}'
+        - '{slave-label}-defaults'
+        - '{installer}-defaults'
+        - string:
+            name: DEPLOY_SCENARIO
+            default: 'os-odl_l2-nofeature-ha'
+
+    scm:
+        - git-scm:
+            credentials-id: '{ssh-credentials}'
+            refspec: ''
+            branch: '{branch}'
+
+    wrappers:
+        - build-name:
+            name: '$BUILD_NUMBER - Scenario: $DEPLOY_SCENARIO'
+
+    builders:
+        - description-setter:
+            description: "Built on $NODE_NAME"
+        - 'functest-sandbox-daily-builder'
+
+#####################################
+# builder macros
+#####################################
+- builder:
+    name: 'sandbox-deploy-daily-builder'
+    builders:
+        - shell:
+            !include-raw: ./deploy.sh
+
+- builder:
+    name: 'functest-sandbox-daily-builder'
+    builders:
+        - shell:
+            !include-raw: ./functest.sh
+
+- builder:
+    name: 'yardstick-sandbox-daily-builder'
+    builders:
+        - shell:
+            !include-raw: ./yardstick.sh
index 32f75e6..69fcb43 100644 (file)
@@ -62,7 +62,7 @@
         - trigger-builds:
             - project: 'sandbox-merge-basic-{stream}'
               current-parameters: false
-              predefined-parameters:
+              predefined-parameters: |
                 GERRIT_BRANCH=$GERRIT_BRANCH
                 GERRIT_REFSPEC=$GERRIT_REFSPEC
                 GERRIT_CHANGE_NUMBER=$GERRIT_CHANGE_NUMBER
@@ -70,7 +70,7 @@
         - trigger-builds:
             - project: 'sandbox-merge-build-{stream}'
               current-parameters: false
-              predefined-parameters:
+              predefined-parameters: |
                 GERRIT_BRANCH=$GERRIT_BRANCH
                 GERRIT_REFSPEC=$GERRIT_REFSPEC
                 GERRIT_CHANGE_NUMBER=$GERRIT_CHANGE_NUMBER
@@ -78,7 +78,7 @@
         - trigger-builds:
             - project: 'sandbox-merge-promote-{stream}'
               current-parameters: false
-              predefined-parameters:
+              predefined-parameters: |
                 GERRIT_BRANCH=$GERRIT_BRANCH
                 GERRIT_REFSPEC=$GERRIT_REFSPEC
                 GERRIT_CHANGE_NUMBER=$GERRIT_CHANGE_NUMBER
index 0572440..a899193 100644 (file)
@@ -69,7 +69,7 @@
         - trigger-builds:
             - project: 'sandbox-verify-basic-{stream}'
               current-parameters: false
-              predefined-parameters:
+              predefined-parameters: |
                 GERRIT_BRANCH=$GERRIT_BRANCH
                 GERRIT_REFSPEC=$GERRIT_REFSPEC
                 GERRIT_CHANGE_NUMBER=$GERRIT_CHANGE_NUMBER
@@ -77,7 +77,7 @@
         - trigger-builds:
             - project: 'sandbox-verify-build-{stream}'
               current-parameters: false
-              predefined-parameters:
+              predefined-parameters: |
                 GERRIT_BRANCH=$GERRIT_BRANCH
                 GERRIT_REFSPEC=$GERRIT_REFSPEC
                 GERRIT_CHANGE_NUMBER=$GERRIT_CHANGE_NUMBER
@@ -85,7 +85,7 @@
         - trigger-builds:
             - project: 'sandbox-verify-deploy-{stream}'
               current-parameters: false
-              predefined-parameters:
+              predefined-parameters: |
                 GERRIT_BRANCH=$GERRIT_BRANCH
                 GERRIT_REFSPEC=$GERRIT_REFSPEC
                 GERRIT_CHANGE_NUMBER=$GERRIT_CHANGE_NUMBER
@@ -93,7 +93,7 @@
         - trigger-builds:
             - project: 'sandbox-verify-test-{stream}'
               current-parameters: false
-              predefined-parameters:
+              predefined-parameters: |
                 GERRIT_BRANCH=$GERRIT_BRANCH
                 GERRIT_REFSPEC=$GERRIT_REFSPEC
                 GERRIT_CHANGE_NUMBER=$GERRIT_CHANGE_NUMBER
diff --git a/jjb/sandbox/sandbox-weekly-jobs.yml b/jjb/sandbox/sandbox-weekly-jobs.yml
new file mode 100644 (file)
index 0000000..52f8529
--- /dev/null
@@ -0,0 +1,264 @@
+- project:
+    name: 'sandbox-weekly-jobs'
+
+    project: 'sandbox'
+
+    installer: 'sandbox'
+
+#--------------------------------
+# BRANCH ANCHORS
+#--------------------------------
+    master: &master
+        stream: master
+        branch: '{stream}'
+        gs-pathname: ''
+#--------------------------------
+# POD, INSTALLER, AND BRANCH MAPPING
+#--------------------------------
+#        CI PODs
+#--------------------------------
+    pod:
+        - baremetal:
+            slave-label: sandbox-baremetal
+            <<: *master
+        - virtual:
+            slave-label: fuel-virtual
+            <<: *master
+#--------------------------------
+#        None-CI PODs
+#--------------------------------
+        - dummy-pod1:
+            slave-label: dummy-pod1
+            <<: *master
+#--------------------------------
+#       scenarios
+#--------------------------------
+    scenario:
+        # HA scenarios
+        - 'os-nosdn-nofeature-ha':
+            auto-trigger-name: 'weekly-trigger-disabled'
+        - 'os-odl_l2-nofeature-ha':
+            auto-trigger-name: 'weekly-trigger-disabled'
+
+    jobs:
+        - 'sandbox-{scenario}-{pod}-weekly-{stream}'
+        - 'sandbox-deploy-{pod}-weekly-{stream}'
+        - 'yardstick-sandbox-{pod}-weekly-{stream}'
+        - 'functest-sandbox-{pod}-weekly-{stream}'
+
+########################
+# job templates
+########################
+- job-template:
+    name: 'sandbox-{scenario}-{pod}-weekly-{stream}'
+
+    concurrent: false
+
+    properties:
+        - throttle:
+            enabled: true
+            max-total: 4
+            max-per-node: 1
+            option: 'project'
+        - build-blocker:
+            use-build-blocker: true
+            blocking-jobs:
+                - 'sandbox-os-.*?-{pod}-weekly-{stream}'
+            block-level: 'NODE'
+
+    wrappers:
+        - build-name:
+            name: '$BUILD_NUMBER - Scenario: $DEPLOY_SCENARIO'
+
+    triggers:
+        - '{auto-trigger-name}'
+
+    parameters:
+        - project-parameter:
+            project: '{project}'
+        - '{installer}-defaults'
+        - '{slave-label}-defaults'
+        - string:
+            name: DEPLOY_SCENARIO
+            default: '{scenario}'
+
+    builders:
+        - description-setter:
+            description: "Built on $NODE_NAME"
+        - trigger-builds:
+            - project: 'sandbox-deploy-{pod}-weekly-{stream}'
+              current-parameters: false
+              predefined-parameters:
+                DEPLOY_SCENARIO={scenario}
+              same-node: true
+              block: true
+        - trigger-builds:
+            - project: 'yardstick-sandbox-{pod}-weekly-{stream}'
+              current-parameters: false
+              predefined-parameters:
+                DEPLOY_SCENARIO={scenario}
+              same-node: true
+              block: true
+              block-thresholds:
+                build-step-failure-threshold: 'never'
+                failure-threshold: 'never'
+                unstable-threshold: 'FAILURE'
+        - trigger-builds:
+            - project: 'functest-sandbox-{pod}-weekly-{stream}'
+              current-parameters: false
+              predefined-parameters:
+                DEPLOY_SCENARIO={scenario}
+              block: true
+              same-node: true
+              block-thresholds:
+                build-step-failure-threshold: 'never'
+                failure-threshold: 'never'
+                unstable-threshold: 'FAILURE'
+
+- job-template:
+    name: 'sandbox-deploy-{pod}-weekly-{stream}'
+
+    concurrent: true
+
+    properties:
+        - throttle:
+            enabled: true
+            max-total: 4
+            max-per-node: 1
+            option: 'project'
+        - build-blocker:
+            use-build-blocker: true
+            blocking-jobs:
+                - 'fuel-deploy-{pod}-weekly-{stream}'
+                - 'fuel-deploy-generic-weekly-.*'
+            block-level: 'NODE'
+
+    parameters:
+        - project-parameter:
+            project: '{project}'
+        - '{installer}-defaults'
+        - '{slave-label}-defaults'
+        - string:
+            name: DEPLOY_SCENARIO
+            default: 'os-odl_l2-nofeature-ha'
+
+    scm:
+        - git-scm:
+            credentials-id: '{ssh-credentials}'
+            refspec: ''
+            branch: '{branch}'
+
+    wrappers:
+        - build-name:
+            name: '$BUILD_NUMBER - Scenario: $DEPLOY_SCENARIO'
+
+    builders:
+        - description-setter:
+            description: "Built on $NODE_NAME"
+        - 'sandbox-deploy-weekly-builder'
+
+- job-template:
+    name: 'yardstick-sandbox-{pod}-weekly-{stream}'
+
+    concurrent: true
+
+    properties:
+        - throttle:
+            enabled: true
+            max-per-node: 1
+            option: 'project'
+
+    wrappers:
+        - build-name:
+            name: '$BUILD_NUMBER Suite: $YARDSTICK_SUITE_NAME Scenario: $DEPLOY_SCENARIO'
+        - timeout:
+            timeout: 400
+            abort: true
+
+    parameters:
+        - project-parameter:
+            project: '{project}'
+        - '{installer}-defaults'
+        - '{slave-label}-defaults':
+            installer: '{installer}'
+        - string:
+            name: DEPLOY_SCENARIO
+            default: 'os-odl_l2-nofeature-ha'
+
+    scm:
+        - git-scm:
+            credentials-id: '{ssh-credentials}'
+            refspec: ''
+            branch: '{branch}'
+
+    wrappers:
+        - build-name:
+            name: '$BUILD_NUMBER - Scenario: $DEPLOY_SCENARIO'
+
+    builders:
+        - description-setter:
+            description: "Built on $NODE_NAME"
+        - 'yardstick-sandbox-weekly-builder'
+
+- job-template:
+    name: 'functest-sandbox-{pod}-weekly-{stream}'
+
+    concurrent: true
+
+    properties:
+        - throttle:
+            enabled: true
+            max-per-node: 1
+            option: 'project'
+
+    wrappers:
+        - build-name:
+            name: '$BUILD_NUMBER Suite: $FUNCTEST_SUITE_NAME Scenario: $DEPLOY_SCENARIO'
+        - timeout:
+            timeout: 400
+            abort: true
+
+    parameters:
+        - project-parameter:
+            project: '{project}'
+        - '{slave-label}-defaults'
+        - '{installer}-defaults'
+        - string:
+            name: DEPLOY_SCENARIO
+            default: 'os-odl_l2-nofeature-ha'
+
+    scm:
+        - git-scm:
+            credentials-id: '{ssh-credentials}'
+            refspec: ''
+            branch: '{branch}'
+
+    wrappers:
+        - build-name:
+            name: '$BUILD_NUMBER - Scenario: $DEPLOY_SCENARIO'
+
+    builders:
+        - description-setter:
+            description: "Built on $NODE_NAME"
+        - 'functest-sandbox-weekly-builder'
+
+#####################################
+# builder macros
+#####################################
+- builder:
+    name: 'sandbox-deploy-weekly-builder'
+    builders:
+        - shell:
+            !include-raw: ./deploy.sh
+
+- builder:
+    name: 'functest-sandbox-weekly-builder'
+    builders:
+        - shell:
+            !include-raw: ./functest.sh
+
+- builder:
+    name: 'yardstick-sandbox-weekly-builder'
+    builders:
+        - shell:
+            !include-raw: ./yardstick.sh
diff --git a/jjb/sandbox/yardstick.sh b/jjb/sandbox/yardstick.sh
new file mode 100755 (executable)
index 0000000..2f9be27
--- /dev/null
@@ -0,0 +1,61 @@
+#!/bin/bash
+#set -o errexit
+#set -o nounset
+#set -o pipefail
+
+# get the job type
+# we only support verify, merge, daily and weekly jobs
+if [[ "$JOB_NAME" =~ (verify|merge|daily|weekly) ]]; then
+    JOB_TYPE=${BASH_REMATCH[0]}
+else
+    echo "Unable to determine job type!"
+    exit 1
+fi
+
+# do stuff differently based on the job type
+case "$JOB_TYPE" in
+    verify)
+        echo "Running as part of verify job"
+        ;;
+    merge)
+        echo "Running as part of merge job"
+        ;;
+    daily)
+        echo "Running as part of daily job"
+        ;;
+    weekly)
+        echo "Running as part of weekly job"
+        ;;
+    *)
+        echo "Job type $JOB_TYPE is not supported!"
+        exit 1
+esac
+
+# this just shows we can get the patch/commit information
+# no matter what job we are executed by
+cd $WORKSPACE
+echo
+echo "Commit Message is"
+echo "-------------------------------------"
+git log --format=%B -n 1 $(git rev-parse HEAD)
+echo "-------------------------------------"
+echo
+echo "Repo contents"
+echo "-------------------------------------"
+ls -al
+echo "-------------------------------------"
+echo
+echo "Changed files are"
+echo "-------------------------------------"
+git diff origin/master --name-only
+echo "-------------------------------------"
+echo
+echo "Change introduced"
+echo "-------------------------------------"
+git diff origin/master
+echo "-------------------------------------"
+echo
+echo "git show"
+echo "-------------------------------------"
+git show
+echo "-------------------------------------"